#ifndef TREEH_H
#define TREEH_H

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

#define NBCHAR 27 //a-z + '


typedef
struct node{
  char letter;
  char isEnd;
  node* next[NBCHAR]
} *ptNode,*tree;

tree make_empty_tree();

void addto_tree(tree,char*,int);
void loadfrom_file(tree,FILE*);
void loadfrom_keyboard(tree);

char is_empty(tree);
char is_end(tree);

int hash(char);



#endif //TREEH_H
